Bug 1533784 - Bogus dependency on time package
Summary: Bogus dependency on time package
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nfsometer
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-12 08:39 UTC by Petr Pisar
Modified: 2019-05-28 19:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:28:10 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2018-01-12 08:39:18 UTC
The nfsometer-1.8-5.fc28 package run-requires "time" package. That's probably because nfsometerlib/workloads/cthon.nfsometer checks for presence of "time" program at line 30.

However, nfsometerlib/workloads.py executes "time" command via shell at line 190. The shell is a bash in case of Fedora and thus the time command executes a bash built-in, not an external /usr/bin/time program.

I did not tried running nfsometer because I do not want to hassle with setting up NFS, but I believe this is so because the time output is parsed in nfsometerlib/parse.py in parse_time() function and it matches the output against regular expressions in RE dictionary and they align to the shell built-in output format ('^real\s+([\d]+)m([\d.]+)s'), not the time program default output format.

Therefore I believe the dependency on "time" package as well as the check for the command should be removed.

Comment 1 Fedora End Of Life 2018-02-20 15:23:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Ben Cotton 2019-05-02 22:07:25 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-05-28 19:28:10 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.